Cosmos Hub Quickstart

How to get started building on Cosmos Hub.

You'll need tocreate a free All That Node account first!

What is the Cosmos Hub?

The Cosmos Hub is the first of thousands of interconnected blockchains that will eventually comprise the Cosmos Network, which all powered by BFT consensus algorithms such as Tendermint.

For more information on the Cosmos Hub, please check out the official documentation.


Endpoints

🚧

The Cosmos Hub is currently only provided as a custom plan or a dedicated node.

NetworkChainIdEndpoint
MainnetREST API (LCD)https://cosmos-mainnet-rpc.allthatnode.com:1317
--header "x-allthatnode-api-key: 'YOUR-API-KEY'"
MainnetTendermint RPChttps://cosmos-mainnet-rpc.allthatnode.com:26657
TestnetREST API (LCD)https://cosmos-testnet-rpc.allthatnode.com:1317
--header "x-allthatnode-api-key: 'YOUR-API-KEY'"
TestnetTendermint RPChttps://cosmos-testnet-rpc.allthatnode.com:26657

*Find 'YOUR-API-KEY' by going to theDashboard menu (Dashboard > Project Detail Page).

Sample

Request

curl https://cosmos-mainnet-rpc.allthatnode.com:1317/syncing \
--header "x-allthatnode-api-key: 'YOUR-API-KEY'"
curl https://cosmos-mainnet-rpc.allthatnode.com:26657/'YOUR-API-KEY' \
--request POST \
--header "Content-Type: application/json" \
--data '{ "jsonrpc":"2.0", "method":"status","params":[],"id":1}'

Response

{
    "jsonrpc": "2.0",
    "result": false,
    "id": 1
}
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "node_info": {
            "protocol_version": {
                "p2p": "8",
                "block": "11",
                "app": "0"
            },
            "id": "093e33f123c4201855a2387513b5e5dea064e479",
            "listen_addr": "tcp://0.0.0.0:26656",
            "network": "cosmoshub-4",
            "version": "0.34.29",
            "channels": "40202122233038606100",
            "moniker": "arccrab",
            "other": {
                "tx_index": "on",
                "rpc_address": "tcp://0.0.0.0:26657"
            }
        },
        "sync_info": {
            "latest_block_hash": "D346CCFB3D275994C0D54F46DAB17B8A5C6BD7EEBF225C4F5E46619B28D63DD3",
            "latest_app_hash": "E1EDC6A389C4FCE308570124D112E23ACB0B40F4A7492B2B676C8F157AF987BB",
            "latest_block_height": "17734734",
            "latest_block_time": "2023-11-06T07:23:05.412715556Z",
            "earliest_block_hash": "1455A0C15AC49BB506992EC85A3CD4D32367E53A087689815E01A524231C3ADF",
            "earliest_app_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
            "earliest_block_height": "5200791",
            "earliest_block_time": "2019-12-11T16:11:34Z",
            "catching_up": false
        },
        "validator_info": {
            "address": "89A4833D3DB4FDAE9A97B4374AA197E41C3C3AFF",
            "pub_key": {
                "type": "tendermint/PubKeyEd25519",
                "value": "S8aP7m5WVnF6WDVlFiSKBpvtKRyjY4PGwbVTpW6nhjU="
            },
            "voting_power": "0"
        }
    }
}